% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/assert-is-file.R, R/is-file.R
\name{assert_all_are_existing_files}
\alias{assert_all_are_existing_files}
\alias{assert_any_are_existing_files}
\alias{is_existing_file}
\title{Does the file exist?}
\usage{
assert_all_are_existing_files(x, severity = getOption("assertive.severity",
  "stop"))

assert_any_are_existing_files(x, severity = getOption("assertive.severity",
  "stop"))

is_existing_file(x, .xname = get_name_in_parent(x))
}
\arguments{
\item{x}{Input to check.}

\item{severity}{How severe should the consequences of the assertion be?
Either \code{"stop"}, \code{"warning"}, \code{"message"}, or \code{"none"}.}

\item{.xname}{Not intended to be used directly.}
}
\value{
\code{is_existing_file} wraps \code{file.exists}, showing
the names of the inputs in the answer.   \code{assert_*_are_existing_files}
return nothing but throws an error if \code{is_existing_file} returns
\code{FALSE}.
}
\description{
Checks to see if the input files exist.
}
\note{
Trailing slashes are removed from paths to avoid a lot of false
negatives by the underlying function \code{file.exists}.
}
\examples{
assert_all_are_existing_files(dir())
# These examples should fail.
assertive.base::dont_stop(
  assert_all_are_existing_files("not an existing file (probably)")
)
}
\seealso{
\code{\link[base]{file.exists}}.
}

